###############################################################################
##
## Etablering av basiscase med forsterkningsalternativ 1 som utgangspunkt
## 
##
###############################################################################
#
# Apner case (*.sav) klargjort med aktuelle nettforsterkninger
psspy.case(r"""Norge_d08h.sav""")
#
###############################################################################
## Hasle ut (dynamiske modeller er ikke mottatt for Hasle. Vil derfor ikke kunne kjore dynamisk analyse med disse innkoblet)
psspy.machine_data_2(51021,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
psspy.machine_data_2(51021,r"""2""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
#
###############################################################################
#
## 1. Endrer lastflytdata for HVDC-forbindelser
#
# DC-linjeparametre
psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[_i,_i],[ 500.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""NORNED""",[_i,_i],[ 700.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""SKAGERRAK3""",[_i,_i],[ 500.0, 350.0,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""SKAGERRAK4""",[_i,_i],[ 600.0,_f,_f,_f, 6.0, 6.0,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 1400.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[_f,_f,_f,_f, 20.386,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[_f,_f,_f,_f,_f, 20.386,_f,_f],r"""I""")
#
# DC-konverterparametre
psspy.two_term_dc_convr_data(1,r"""SKAGERRAK12""",[_i,_i,_i,_i,_i],[ 12.5, 17.5,_f,_f,_f,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""SKAGERRAK12""",[_i,_i,_i,_i,_i],[ 17.0, 17.0,_f,_f,_f,_f, 1.1048,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[ 15.0, 15.0,_f, 9.53,_f,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[ 17.0, 17.0,_f, 9.63,_f,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f, 0.42,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f, 0.42,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f, 1.1625,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f, 1.1625,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f, 0.8625,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f, 0.8625,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""SKAGERRAK4""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f, 400.0,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORNED""",[_i,_i,_i,_i,_i],[ 12.5, 17.5,_f, 45.731, 380.0,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORNED""",[_i,_i,_i,_i,_i],[ 22.0, 22.0,_f, 46.397, 300.0,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f, 0.9243,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f, 1.2503,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f, 1.1375,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f, 1.125,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f, 0.8375,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORNED""",[_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f, 0.8875,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORGER""",[_i,_i,_i,_i,_i],[_f,_f,_f, 30.29,_f, 1.0005, 1.125, 1.125, 0.8875, 0.0065,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORGER""",[_i,_i,_i,_i,_i],[_f,_f,_f, 30.29,_f, 1.0005, 1.125, 1.125, 0.8875, 0.0065,_f],r"""1""")
psspy.two_term_dc_convr_data(1,r"""NORGER""",[_i,_i,_i,_i,_i],[ 8.0, 12.0,_f,_f,_f,_f,_f,_f,_f,_f,_f],r"""1""")
psspy.two_term_dc_convr_data(2,r"""NORGER""",[_i,_i,_i,_i,_i],[18.0, 20.0,_f,_f,_f,_f,_f,_f,_f,_f,_f],r"""1""")
#
# Skrur av/paa (0/1) HVDC-forbindelsene
paa = 0
psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[paa,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""NORNED""",[paa,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""SKAGERRAK3""",[paa,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""SKAGERRAK4""",[paa,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
psspy.two_terminal_dc_line_data(r"""NORGER""",[paa,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
#
###############################################################################
################     Kontroll      ############################################
#
# 0 - Ute av drift / legges ikke inn i systemet
# 1 - I drift / legges inn i systemet. Produksjon/ import tilpasses ved utkobling
#     av produksjonsenheter. Se egen fil for last- og produksjonsdata benyttet ved
#     tilpasning.
#
LP   =1		# Lastendring med produksjonstilpasning
SK12 =1		# Oppkjoring SK12 med produksjonstilpasning
SK3  =1		# Oppkjoring SK3 med produksjonstilpasning     
SK4  =1 	# Oppkjoring SK4 med produksjonstilpasning
NN   =1		# Oppkjoring NorNed med produksjonstilpasning
NG   =1		# Oppkjoring NorGer med produksjonstilpasning
TVP  =0 	# Legger inn og kjorer opp Tonstad Vindpark med produksjonstilpasning
NYSNC=1 	# Oppkjoring av HVDC-forbindelsene skjer parallelt
		# med at nye synkronkompensatorer legges inn
DYN  =0 	# Initialisering av dynamiske simuleringer

###############################################################################
#
## 2. Endrer lastdata og produksjonsdata(delvis) fra Monica tilsvarende "lav kortslutningsytelse"
#
if LP==1:
	psspy.load_data(50014,r"""1""",[_i,_i,_i,_i],[ 255.0, 46.0,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(50051,r"""1""",[_i,_i,_i,_i],[ 300.0, 200.0,_f,_f,_f,_f])
	psspy.load_data(50052,r"""1""",[0,_i,_i,_i],[_f,_f,_f,_f,_f,_f])
	psspy.load_data(50053,r"""1""",[0,_i,_i,_i],[_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51204,r"""1""",[_i,_i,_i,_i],[ 39.78, 14.034,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51204,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51226,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51227,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51356,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(50054,r"""1""",[0,_i,_i,_i],[_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51486,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51487,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51488,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-4.35537,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51489,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-6.19546,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51214,r"""1""",[_i,_i,_i,_i],[ 46.41, 11.227,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51218,r"""1""",[_i,_i,_i,_i],[ 6.6563,_f,_f,_f,_f,_f])
	psspy.load_data(51219,r"""1""",[_i,_i,_i,_i],[ 2.7849,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51497,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 2.44286,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51507,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51508,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 3.34173,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51517,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51527,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 5.17816,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51225,r"""1""",[_i,_i,_i,_i],[ 9.2822,_f,_f,_f,_f,_f])
	psspy.load_data(51256,r"""1""",[_i,_i,_i,_i],[ 3.1821,_f,_f,_f,_f,_f])
	psspy.load_data(51258,r"""1""",[_i,_i,_i,_i],[ 7.6906,_f,_f,_f,_f,_f])
	psspy.load_data(51259,r"""1""",[_i,_i,_i,_i],[ 3.8453,_f,_f,_f,_f,_f])
	psspy.load_data(51260,r"""1""",[_i,_i,_i,_i],[ 3.9783,_f,_f,_f,_f,_f])
	psspy.load_data(51265,r"""1""",[_i,_i,_i,_i],[ 1.7766,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51266,r"""1""",[_i,_i,_i,_i],[ 6.4972,_f,_f,_f,_f,_f])
	psspy.load_data(51267,r"""1""",[_i,_i,_i,_i],[ 2.7849,_f,_f,_f,_f,_f])
	psspy.load_data(51268,r"""1""",[_i,_i,_i,_i],[ 8.1418, 0.561,_f,_f,_f,_f])
	psspy.load_data(51269,r"""1""",[_i,_i,_i,_i],[ 2.917, 0.281,_f,_f,_f,_f])
	psspy.load_data(51270,r"""1""",[_i,_i,_i,_i],[ 4.2434, 0.561,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51556,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 4.16593,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(51557,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51569,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-0.43137,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51617,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51686,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(51694,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51726,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 42.7244,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51274,r"""1""",[_i,_i,_i,_i],[ 3.1561, 0.561,_f,_f,_f,_f])
	psspy.load_data(51275,r"""1""",[_i,_i,_i,_i],[ 7.4256, 0.842,_f,_f,_f,_f])
	psspy.load_data(51276,r"""1""",[_i,_i,_i,_i],[ 6.0991, 0.842,_f,_f,_f,_f])
	psspy.load_data(51277,r"""1""",[_i,_i,_i,_i],[ 6.6033, 0.842,_f,_f,_f,_f])
	psspy.load_data(51279,r"""1""",[_i,_i,_i,_i],[ 1.2195, 0.281,_f,_f,_f,_f])
	psspy.load_data(51280,r"""1""",[_i,_i,_i,_i],[ 4.5876, 0.561,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51284,r"""1""",[_i,_i,_i,_i],[ 4.0574, 0.561,_f,_f,_f,_f])
	psspy.load_data(51285,r"""1""",[_i,_i,_i,_i],[ 1.5915, 0.281,_f,_f,_f,_f])
	psspy.load_data(51286,r"""1""",[_i,_i,_i,_i],[ 8.1418, 1.123,_f,_f,_f,_f])
	psspy.load_data(51288,r"""1""",[_i,_i,_i,_i],[ 7.1605,_f,_f,_f,_f,_f])
	psspy.load_data(51289,r"""1""",[_i,_i,_i,_i],[ 6.4972, 0.842,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51727,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51746,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 24.0513,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51748,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 23.9448,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51296,r"""1""",[_i,_i,_i,_i],[ 8.751, 0.842,_f,_f,_f,_f])
	psspy.load_data(51298,r"""1""",[_i,_i,_i,_i],[ 6.0991, 0.842,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51324,r"""1""",[_i,_i,_i,_i],[ 7.9297, 0.561,_f,_f,_f,_f])
	psspy.load_data(51328,r"""1""",[_i,_i,_i,_i],[ 2.3868, 0.561,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51356,r"""1""",[_i,_i,_i,_i],[ 56.752, 14.034,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51359,r"""1""",[0,_i,_i,_i],[_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51757,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51758,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 10.2521,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51759,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 10.8495,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51359,r"""1""",[1,_i,_i,_i],[_f,_f,_f,_f,_f,_f])
	psspy.load_data(51359,r"""1""",[_i,_i,_i,_i],[ 17.503, 1.684,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51399,r"""1""",[_i,_i,_i,_i],[ 4.9857, 0.561,_f,_f,_f,_f])
	psspy.load_data(51404,r"""1""",[_i,_i,_i,_i],[ 6.6303,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51410,r"""1""",[_i,_i,_i,_i],[ 9.9454, 1.123,_f,_f,_f,_f])
	psspy.load_data(51435,r"""1""",[_i,_i,_i,_i],[ 11.139, 1.123,_f,_f,_f,_f])
	psspy.load_data(51459,r"""1""",[_i,_i,_i,_i],[ 6.6303, 0.842,_f,_f,_f,_f])
	psspy.load_data(51464,r"""1""",[_i,_i,_i,_i],[ 1.5915, 0.281,_f,_f,_f,_f])
	psspy.load_data(51465,r"""1""",[_i,_i,_i,_i],[ 2.917, 0.281,_f,_f,_f,_f])
	psspy.load_data(51475,r"""1""",[_i,_i,_i,_i],[ 12.464, 0.842,_f,_f,_f,_f])
	psspy.load_data(51494,r"""1""",[_i,_i,_i,_i],[ 13.791,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51495,r"""1""",[_i,_i,_i,_i],[ 5.3038,_f,_f,_f,_f,_f])
	psspy.load_data(51500,r"""1""",[_i,_i,_i,_i],[ 5.3038, 0.561,_f,_f,_f,_f])
	psspy.load_data(51519,r"""1""",[_i,_i,_i,_i],[ 2.6519, 0.281,_f,_f,_f,_f])
	psspy.load_data(51530,r"""1""",[_i,_i,_i,_i],[ 7.4256, 0.842,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(51787,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 1.3206,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54056,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 1.5609,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54056,r"""2""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54056,r"""3""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54064,r"""1""",[_i,_i,_i,_i,_i,_i],[ 20.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54105,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 3.12899,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51534,r"""1""",[_i,_i,_i,_i],[ 7.9557,_f,_f,_f,_f,_f])
	psspy.load_data(51545,r"""1""",[_i,_i,_i,_i],[ 7.1605, 0.842,_f,_f,_f,_f])
	psspy.load_data(51549,r"""1""",[_i,_i,_i,_i],[ 19.89,_f,_f,_f,_f,_f])
	psspy.load_data(51560,r"""1""",[_i,_i,_i,_i],[ 1.3264, 0.281,_f,_f,_f,_f])
	psspy.load_data(51568,r"""1""",[_i,_i,_i,_i],[ 1.5915,_f,_f,_f,_f,_f])
	psspy.load_data(51569,r"""1""",[_i,_i,_i,_i],[ 5.3038, 0.561,_f,_f,_f,_f])
	psspy.load_data(51575,r"""1""",[_i,_i,_i,_i],[ 2.3868, 0.281,_f,_f,_f,_f])
	psspy.load_data(51588,r"""1""",[_i,_i,_i,_i],[ 8.9371, 0.842,_f,_f,_f,_f])
	psspy.load_data(51594,r"""1""",[_i,_i,_i,_i],[ 5.2769, 0.561,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(51595,r"""1""",[_i,_i,_i,_i],[ 6.1531, 0.842,_f,_f,_f,_f])
	psspy.load_data(51596,r"""1""",[_i,_i,_i,_i],[ 5.4899, 0.561,_f,_f,_f,_f])
	psspy.load_data(51597,r"""1""",[_i,_i,_i,_i],[ 13.791, 1.403,_f,_f,_f,_f])
	psspy.load_data(51598,r"""1""",[_i,_i,_i,_i],[ 5.728, 0.561,_f,_f,_f,_f])
	psspy.load_data(51614,r"""1""",[_i,_i,_i,_i],[ 15.381, 1.684,_f,_f,_f,_f])
	psspy.load_data(51694,r"""1""",[_i,_i,_i,_i],[ 1.5915,_f,_f,_f,_f,_f])
	psspy.load_data(51695,r"""1""",[_i,_i,_i,_i],[ 4.7736, 0.561,_f,_f,_f,_f])
	psspy.load_data(51696,r"""1""",[_i,_i,_i,_i],[ 1.5915, 0.281,_f,_f,_f,_f])
	psspy.load_data(51794,r"""1""",[_i,_i,_i,_i],[ 2.6519, 2.807,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54106,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 1.65341,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54107,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 1.11454,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54056,r"""1""",[_i,_i,_i,_i],[ 16.876,_f,_f,_f,_f,_f])
	psspy.load_data(54064,r"""1""",[_i,_i,_i,_i],[ 13.015, 0.918,_f,_f,_f,_f])
	psspy.load_data(54084,r"""1""",[_i,_i,_i,_i],[ 16.269, 2.296,_f,_f,_f,_f])
	psspy.load_data(54086,r"""1""",[_i,_i,_i,_i],[ 16.269, 2.296,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54108,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-3.80995,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54116,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-0.295235,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54117,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54094,r"""1""",[_i,_i,_i,_i],[ 43.383, 8.724,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54174,r"""1""",[_i,_i,_i,_i],[ 75.623, 17.0,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54204,r"""1""",[_i,_i,_i,_i],[ 10.846, 1.515,_f,_f,_f,_f])
	psspy.load_data(54205,r"""1""",[_i,_i,_i,_i],[ 6.5075, 1.515,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54109,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-31.9299,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54214,r"""1""",[_i,_i,_i,_i],[ 39.045, 5.051,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54224,r"""1""",[_i,_i,_i,_i],[ 13.015, 1.263,_f,_f,_f,_f])
	psspy.load_data(54244,r"""1""",[_i,_i,_i,_i],[ 1.3013,_f,_f,_f,_f,_f])
	psspy.load_data(54254,r"""1""",[_i,_i,_i,_i],[ 8.6766, 1.561,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54304,r"""1""",[_i,_i,_i,_i],[ 1.0613, 0.112,_f,_f,_f,_f])
	psspy.load_data(54315,r"""1""",[_i,_i,_i,_i],[ 1.3264, 0.14,_f,_f,_f,_f])
	psspy.load_data(54325,r"""1""",[_i,_i,_i,_i],[ 1.2725,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54340,r"""1""",[_i,_i,_i,_i],[ 0.5042, 0.056,_f,_f,_f,_f])
	psspy.load_data(54360,r"""1""",[_i,_i,_i,_i],[ 2.97, 0.561,_f,_f,_f,_f])
	psspy.load_data(54365,r"""1""",[_i,_i,_i,_i],[ 7.3986, 2.246,_f,_f,_f,_f])
	psspy.load_data(54374,r"""1""",[_i,_i,_i,_i],[ 0.2651, 0.281,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54375,r"""1""",[_i,_i,_i,_i],[ 2.6519, 0.561,_f,_f,_f,_f])
	psspy.load_data(54376,r"""1""",[_i,_i,_i,_i],[ 65.112,_f,_f,_f,_f,_f])
	psspy.load_data(54388,r"""1""",[_i,_i,_i,_i],[ 7.6906, 0.842,_f,_f,_f,_f])
	psspy.load_data(54389,r"""1""",[_i,_i,_i,_i],[ 5.834, 2.807,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54126,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54136,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54146,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-11.8382,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54147,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54395,r"""1""",[_i,_i,_i,_i],[ 5.888, 0.561,_f,_f,_f,_f])
	psspy.load_data(54396,r"""1""",[_i,_i,_i,_i],[ 2.837, 0.561,_f,_f,_f,_f])
	psspy.load_data(54397,r"""1""",[_i,_i,_i,_i],[ 5.3308, 0.842,_f,_f,_f,_f])
	psspy.load_data(54406,r"""1""",[_i,_i,_i,_i],[ 1.6445, 0.561,_f,_f,_f,_f])
	psspy.load_data(54415,r"""1""",[_i,_i,_i,_i],[ 4.4025, 0.477,_f,_f,_f,_f])
	psspy.load_data(54435,r"""1""",[_i,_i,_i,_i],[ 3.4705, 0.459,_f,_f,_f,_f])
	psspy.load_data(54440,r"""1""",[_i,_i,_i,_i],[ 0.2651, 0.028,_f,_f,_f,_f])
	psspy.load_data(54445,r"""1""",[_i,_i,_i,_i],[ 5.834, 1.179,_f,_f,_f,_f])
	psspy.load_data(54465,r"""1""",[_i,_i,_i,_i],[ 3.3681, 0.561,_f,_f,_f,_f])
	psspy.load_data(54474,r"""1""",[_i,_i,_i,_i],[ 39.78,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54479,r"""1""",[_i,_i,_i,_i],[ 1.9627, 0.14,_f,_f,_f,_f])
	psspy.load_data(54485,r"""1""",[_i,_i,_i,_i],[ 8.2739, 2.246,_f,_f,_f,_f])
	psspy.load_data(54498,r"""1""",[_i,_i,_i,_i],[ 5.834, 1.123,_f,_f,_f,_f])
	psspy.load_data(54499,r"""1""",[_i,_i,_i,_i],[ 5.808, 0.561,_f,_f,_f,_f])
	psspy.load_data(54500,r"""1""",[_i,_i,_i,_i],[ 4.7736, 0.281,_f,_f,_f,_f])
	psspy.load_data(54504,r"""1""",[_i,_i,_i,_i],[ 4.4555,_f,_f,_f,_f,_f])
	psspy.load_data(54505,r"""1""",[_i,_i,_i,_i],[ 2.3068, 0.253,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54156,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54156,r"""2""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54186,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-13.9043,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54195,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-2.04202,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54196,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54197,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-2.72156,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54513,r"""1""",[_i,_i,_i,_i],[ 3.5802, 0.561,_f,_f,_f,_f])
	psspy.load_data(54515,r"""1""",[_i,_i,_i,_i],[ 5.5689, 0.561,_f,_f,_f,_f])
	psspy.load_data(54525,r"""1""",[_i,_i,_i,_i],[ 5.3038, 0.561,_f,_f,_f,_f])
	psspy.load_data(54526,r"""1""",[_i,_i,_i,_i],[ 0.7962, 0.281,_f,_f,_f,_f])
	psspy.load_data(54534,r"""1""",[_i,_i,_i,_i],[ 10.078,_f,_f,_f,_f,_f])
	psspy.load_data(54535,r"""1""",[_i,_i,_i,_i],[ 10.608,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54545,r"""1""",[_i,_i,_i,_i],[ 5.5689,_f,_f,_f,_f,_f])
	psspy.load_data(54554,r"""1""",[_i,_i,_i,_i],[ 4.0044,_f,_f,_f,_f,_f])
	psspy.load_data(54564,r"""1""",[_i,_i,_i,_i],[ 20.765, 3.368,_f,_f,_f,_f])
	psspy.load_data(54570,r"""1""",[_i,_i,_i,_i],[ 5.3038,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(54577,r"""1""",[_i,_i,_i,_i],[ 5.0118, 0.281,_f,_f,_f,_f])
	psspy.load_data(54584,r"""1""",[_i,_i,_i,_i],[ 7.9557, 0.281,_f,_f,_f,_f])
	psspy.load_data(54594,r"""1""",[_i,_i,_i,_i],[ 8.2646, 0.459,_f,_f,_f,_f])
	psspy.load_data(54595,r"""1""",[_i,_i,_i,_i],[ 3.5142, 0.459,_f,_f,_f,_f])
	psspy.load_data(54614,r"""1""",[_i,_i,_i,_i],[ 8.0925,_f,_f,_f,_f,_f])
	psspy.load_data(55014,r"""1""",[_i,_i,_i,_i],[ 3.5105,_f,_f,_f,_f,_f])
	psspy.load_data(55066,r"""1""",[_i,_i,_i,_i],[ 2.997, 0.281,_f,_f,_f,_f])
	psspy.load_data(55105,r"""1""",[_i,_i,_i,_i],[ 4.0704, 0.237,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54204,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54246,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54300,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54314,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 10.2199,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54319,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-3.21845,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54326,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 29.8374,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54327,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 35.9018,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(55154,r"""1""",[_i,_i,_i,_i],[ 52.09,_f,_f,_f,_f,_f])
	psspy.load_data(55164,r"""1""",[_i,_i,_i,_i],[ 33.544, 8.52,_f,_f,_f,_f])
	psspy.load_data(55174,r"""1""",[_i,_i,_i,_i],[ 19.5, 4.45,_f,_f,_f,_f])
	psspy.load_data(55194,r"""1""",[_i,_i,_i,_i],[ 26.835, 2.84,_f,_f,_f,_f])
	psspy.load_data(55205,r"""1""",[_i,_i,_i,_i],[ 0.4028, 0.047,_f,_f,_f,_f])
	psspy.load_data(55214,r"""1""",[_i,_i,_i,_i],[ 0.8948,_f,_f,_f,_f,_f])
	psspy.load_data(55233,r"""1""",[_i,_i,_i,_i],[ 8.9454, 0.947,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54328,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 5.67135,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54329,r"""1""",[_i,_i,_i,_i,_i,_i],[ 100.999,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54330,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 7.28661,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54339,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54345,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54346,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54388,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54395,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54406,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54426,r"""1""",[_i,_i,_i,_i,_i,_i],[ 8.9999,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54440,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-3.18411,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54460,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-0.94662,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54474,r"""2""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54474,r"""3""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.load_data(56435,r"""1""",[_i,_i,_i,_i],[ 10.343, 1.965,_f,_f,_f,_f])
	psspy.load_data(56436,r"""1""",[_i,_i,_i,_i],[ 10.343, 1.965,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54474,r"""4""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54476,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	#
	###############################################################################
	#
	## 3. Endrer plant fra Monica tilsvarende "lav kortslutningsytelse"
	#
	psspy.plant_data(51231,_i,[ 1.05,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.plant_data(54020,_i,[ 0.92,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.plant_data(54064,_i,[ 1.0,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	# Ekstra plant/machine data for Qbegrensede maskiner
	#
	psspy.machine_data_2(51209,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,-3.8,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(51214,r"""1""",[_i,_i,_i,_i,_i,_i],[_f, 8.9,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54064,r"""1""",[_i,_i,_i,_i,_i,_i],[_f, 12.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54474,r"""1""",[_i,_i,_i,_i,_i,_i],[_f, 4.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	#
	###############################################################################
	#
	## 4. Deler Lysebotten med 2 generatorer mot Tonstad
	#
	psspy.splt(54193,54190,r"""LYSEBTN1B""", 130.0)
	psspy.movebrn(54194,54193,r"""1""",54190,r"""1""")
	psspy.movebrn(54195,54193,r"""2""",54190,r"""2""")
	psspy.movebrn(54203,54193,r"""1""",54190,r"""1""")
	psspy.movebrn(54723,54193,r"""1""",54190,r"""1""")
	psspy.branch_data(54190,54193,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	#
	###############################################################################
	#
	## 5. Svingmaskiner - korreksjon MVAbase for okt kortslutningsytelse og endring av spenningsniva SK12 DK
	#
	psspy.bus_data_2(12,[_i,_i,_i,_i],[ 165.0,_f,_f],r"""DK_SK12_TERM""")
	psspy.machine_data_2(13,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f, 10000.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(103,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f, 10000.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(203,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f, 10000.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	###############################################################################
	#
	## 6. Fjerner 300kV Feda - Krsand, lagt til ny linje ifbm. sp.oppgrad 420 kV. Setter linjelengde 420kVlinjen
	##    Fjerner belastning pa 420kV Samnanger, tidl. lagt til for testing
	##    Oppdaterer linjedata for linjen Oeksendal (201) - Tonstad 400(9)
	##    Endrer linjemaaling for overvaking svc i krsand
	#
	psspy.purgbrn(54022,54032,r"""1""")
	psspy.branch_data(1,10,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f, 63.4,_f,_f,_f,_f])
	psspy.purgload(3,r"""1""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.branch_data(9,201,r"""1""",[_i,_i,_i,_i,_i,_i],[ 0.144, 1.95, 0.06852,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.branch_data(9,201,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f, 1978.7, 1978.7, 1978.7,_f,_f,_f,_f, 6.0,_f,_f,_f,_f])
	psspy.branch_data(1,10,r"""1""",[_i,1,_i,_i,_i,_i],[ 1.1412,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	#
	#
#
#
###############################################################################
#
## 7. Kjorer opp HVDC med filter og synkr.komp, samt Tonstad Vindpark
#
if SK12 ==1:
	#
	## 1 - HVDC - SK12 ##
	#
	## Filter
	psspy.switched_shunt_data(54022,[3,_i,_i,_i,_i,_i,_i,_i,0,_i],[ 32.4,_f,_f,_f,_f,_f,_f,_f,_f,_f, 97.2,_f],)
	psspy.switched_shunt_data(1,[_i,_i,_i,_i,_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f, 1.0,_f,_f],)
	psspy.switched_shunt_data(1,[_i,8,5,5,_i,_i,_i,_i,_i,_i],[-10.0,-10.0,-4.0,-4.0,_f,_f,_f,_f,_f,_f,_f,_f],)
	##
	#
	## Oppkjoring
	#
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[1,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[_i,_i],[ 100.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[_i,_i],[ 200.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[_i,_i],[ 300.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54554,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-0.225194,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54556,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-0.374234,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54557,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-0.751877,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54584,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-2.6127,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54594,r"""1""",[0,_i,_i,_i,_i,_i],[_f,-2.83876,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(54595,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(54619,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK12""",[_i,_i],[ 500.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
if SK3 ==1:
	#
	## 2 - HVDC - SK3 ##
	#
	psspy.machine_data_2(55014,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55026,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 23.2589,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK3""",[1,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK3""",[_i,_i],[ 200.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55027,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55028,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 27.4142,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK3""",[_i,_i],[ 400.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK3""",[_i,_i],[ 500.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55029,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 31.6443,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
if NN ==1:
	#
	## 3 - HVDC - NorNed ##
	#
	##  Filter pa ss104 og kompensering for NorNed
	#
	# Kondensatorbatteri 
	#
	a,vinkel = psspy.busdat(101,'ANGLED')		# Spenningsvinkel og storrelse ma legges inn med tilnaermet korrekt verdi for
	b,spenn  = psspy.busdat(101,'PU') 		# at konvergens skal oppnas i lastflytberegningene.
	#
	psspy.bus_data_2(104,[2,_i,_i,_i],[ 300.0,spenn,vinkel],r"""NORNED_F""")
	psspy.branch_data(101,104,r"""1""",[_i,104,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.switched_shunt_data(104,[2,_i,_i,_i,_i,_i,_i,_i,0,_i],[ 95.0,_f,_f,_f,_f,_f,_f,_f,_f,_f, 190.0,_f],)
	psspy.fnsl([1,0,0,1,1,0,99,0])
	# Filter
	psspy.switched_shunt_data(101,[2,1,_i,_i,_i,_i,_i,_i,_i,_i],[ 100.0, 95.0,_f,_f,_f,_f,_f,_f, 1.01, 0.99, 200.0,_f],)
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	if NYSNC==1:
		# Synkr.komp pa ss201 for NorNed
		psspy.plant_data(104,0,[ 1.0, 100.0])
		psspy.machine_data_2(104,r"""1""",[_i,_i,_i,_i,_i,_i],[_f, 250.0, 250.0,-90.0,0.0,0.0, 250.0, 0.003, 0.28,_f,_f,_f,_f,_f,_f,_f,_f])
		psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	## Oppkjoring
	psspy.two_terminal_dc_line_data(r"""NORNED""",[1,_i],[ 100.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55056,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 39.0971,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORNED""",[_i,_i],[ 300.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORNED""",[_i,_i],[ 350.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55057,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 44.3947,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORNED""",[_i,_i],[ 500.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORNED""",[_i,_i],[ 600.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55058,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORNED""",[_i,_i],[ 700.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
if SK4 ==1:
	#
	## 3 - HVDC - SK4 ##
	#
	## Synkr.komp ifbm SK4 pa ss1, Kristiansand 400kV - 250 MVAr lik som pa ss55022, 300 kV
	#
	a,vinkel = psspy.busdat(1,'ANGLED')	# Spenningsvinkel og storrelse ma legges inn med tilnaermet korrekt verdi for
	b,spenn  = psspy.busdat(1,'PU')		# at konvergens skal oppnas i lastflytberegningene.
	#
	psspy.bus_data_2(18,[2,_i,_i,_i],[ 400.0, spenn, vinkel],r"""KRSAND_SYNC""")
	psspy.branch_data(1,18,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.plant_data(18,0,[ 1.0, 100.0])
	psspy.machine_data_2(18,r"""1""",[_i,_i,_i,_i,_i,_i],[_f, 250.0, 250.0,-90.0,0.0,0.0, 250.0, 0.003, 0.28,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	# Filter
	psspy.switched_shunt_data(16,[1,_i,_i,_i,_i,_i,_i,_i,0,_i],[ 100,_f,_f,_f,_f,_f,_f,_f,_f,_f, 100,_f],)
	#
	## Oppkjoring
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK4""",[1,_i],[ 200.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55060,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 32.6544,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55065,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK4""",[_i,_i],[ 400.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55068,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55076,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 15.3197,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""SKAGERRAK4""",[_i,_i],[ 600.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
if NG == 1:
	#
	## 4 - HVDC - NorGer, filtre og synkr.komp ##
	#
	psspy.machine_data_2(55237,r"""2""",[_i,_i,_i,_i,_i,_i],[ 200.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORGER""",[1,_i],[_f,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 200.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	# Filter pa ss204 for NorGer
	#
	a,vinkel = psspy.busdat(201,'ANGLED') 		# Spenningsvinkel og storrelse ma legges inn med tilnaermet korrekt verdi for
	b,spenn  = psspy.busdat(201,'PU')		# at konvergens skal oppnas i lastflytberegningene.
	#
	psspy.bus_data_2(204,[2,_i,_i,_i],[ 400,spenn,vinkel],r"""NORGER_F_SK""")
	psspy.switched_shunt_data(104,[2,1,_i,_i,_i,_i,_i,_i,0,_i],[ 95.0,45,_f,_f,_f,_f,_f,_f,_f,_f, 235.0,_f],)
	psspy.branch_data(201,204,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.switched_shunt_data(204,[2,_i,_i,_i,_i,_i,_i,_i,0,_i],[ 95.0,_f,_f,_f,_f,_f,_f,_f,_f,_f, 190.0,_f],)
	psspy.branch_data(201,204,r"""1""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	psspy.machine_data_2(55237,r"""2""",[0,_i,_i,_i,_i,_i],[_f, 34.2629,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 400.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55077,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55104,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(55104,r"""2""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55104,r"""4""",[0,_i,_i,_i,_i,_i],[_f, 18.5815,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55116,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 6.98549,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 600.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55117,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 7.19454,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55118,r"""1""",[_i,_i,_i,_i,_i,_i],[ 65.0, 6.1787,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(55119,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 800.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55126,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55127,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55134,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 7.13228,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#if NYSNC==1:
	#
	# Synkr.komp pa ss204 for NorGer, 2 stk. tilsvarende Frogner
	#
	psspy.plant_data(204,0,[ 1.0, 100.0])
	psspy.machine_data_2(204,r"""1""",[_i,_i,_i,_i,_i,_i],[_f, 151.88, 250.0,-90.0,0.0,0.0, 250.0, 0.003, 0.28,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.plant_data(204,0,[ 1.0, 100.0])
	psspy.machine_data_2(204,r"""2""",[_i,_i,_i,_i,_i,_i],[_f, 151.88, 250.0,-90.0,0.0,0.0, 250.0, 0.003, 0.28,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 1000.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55134,r"""2""",[0,_i,_i,_i,_i,_i],[_f, 3.49308,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55144,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 1200.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.machine_data_2(55146,r"""1""",[0,_i,_i,_i,_i,_i],[_f, 34.947,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	psspy.two_terminal_dc_line_data(r"""NORGER""",[_i,_i],[ 1400.0,_f,_f,_f,_f,_f,_f,_f],r"""I""")
	psspy.machine_data_2(55194,r"""2""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([1,0,0,1,1,0,99,0])
	#
if TVP ==1:
	#
	###############################################################################
	#
	## 9. Tonstad VP
	#
	psspy.machine_data_2(55194,r"""3""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(55194,r"""4""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([0,0,0,1,1,0,99,0])
	psspy.machine_data_2(55206,r"""1""",[_i,_i,_i,_i,_i,_i],[ 110.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(55204,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.machine_data_2(55207,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([0,0,0,1,1,0,99,0])
	psspy.machine_data_2(55227,r"""1""",[0,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.fnsl([0,0,0,1,1,0,99,0])
	#
	a,vinkel = psspy.busdat(201,'ANGLED')		# Spenningsvinkel og storrelse ma legges inn med tilnaermet korrekt verdi for
	b,spenn  = psspy.busdat(201,'PU')		# at konvergens skal oppnas i lastflytberegningene.
	#
	psspy.bus_data_2(701,[2,_i,_i,_i],[ 3.3,spenn,vinkel],r"""VP_EQ""")
	psspy.bus_data_2(702,[_i,_i,_i,_i],[ 33.0,spenn,vinkel],r"""VP_SYS""")
	psspy.bus_data_2(703,[_i,_i,_i,_i],[ 33.0,spenn,vinkel],r"""PCC_LO""")
	psspy.bus_data_2(704,[_i,_i,_i,_i],[ 400.0,spenn,vinkel],r"""PCC_HI""")
	psspy.branch_data(702,703,r"""1""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""1""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f]) # Gjentas pga feil ved forste innlesing
	psspy.branch_data(702,703,r"""2""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""3""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""4""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""5""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""6""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""7""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.branch_data(702,703,r"""8""",[_i,_i,_i,_i,_i,_i],[ 1.6875, 3.0375, 4.05, 28.6,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.plant_data(701,0,[ 1.0, 100.0])
	psspy.machine_data_2(701,r"""1""",[_i,_i,_i,_i,_i,1],[ 200.0,_f, 97.64,-97.64, 201.6, 20.16, 224.0,_f, 0.8,_f,_f,_f,_f,_f,_f,_f,_f])
	psspy.plant_data(701,704,[_f,_f])
	psspy.two_winding_data(701,702,r"""1""",[_i,_i,_i,_i,_i,_i,_i,_i,701,_i,_i,0,_i,_i,_i],[0.0413, 0.30976,_f,_f,_f,_f,_f,_f,224.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f],)
	psspy.two_winding_data(703,704,r"""1""",[_i,_i,_i,_i,_i,_i,_i,_i,703,_i,_i,0,_i,_i,_i],[ 0.0096, 0.4664,_f,_f,_f,_f,_f,_f,224.0,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f,_f],)
	psspy.branch_data(704,201,r"""8""",[_i,_i,_i,_i,_i,_i],[_f,_f,_f,_f,_f,_f,_f,_f,_f,_f, 16.857,_f,_f,_f,_f])
	psspy.fnsl([0,0,0,1,1,0,99,0])



#
#
## Apner SLD og dynamisk
psspy.opendiagfile(r"""Sentralnettet_2005.sld""")
psspy.dyre_new([1,1,1,1],r"""norge_d08h_u_statnett.dyr""",r"""cc1.flx""",r"""ct1.flx""",r"""compile.bat""")
#psspy.dyre_new([1,1,1,1],r"""norge_d08h.dyr""",r"""cc1.flx""",r"""ct1.flx""",r"""compile.bat""")

# Initialisering av dynamiske simuleringer
if DYN ==1:
	psspy.dynamics_solution_params([_i,_i,_i,_i,_i,_i,_i,_i],[_f,_f, 0.0025,_f,_f,_f,_f,_f],"")
	psspy.cong(0)
	psspy.conl(0,1,1,[0,0],[ 40.0, 40.0, 40.0, 20.0])
	psspy.conl(0,1,2,[0,0],[ 40.0, 40.0, 40.0, 20.0])
	psspy.conl(0,1,3,[0,0],[ 40.0, 40.0, 40.0, 20.0])
	psspy.strt(0,r"""test""")
