# Progress report for utgangspunkt
psspy.lines_per_page_one_device(1,60)
psspy.progress_output(2,r"""Progress_report_basis_u_tvp.txt""",[0,0])

# Laster inn
psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp.sav""")
psspy.dyre_new([1,1,1,1],r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett.dyr""",r"""cc1""",r"""ct1""",r"""compile.bat""")

# Rutinekontroll
dyn = 1
dynal = 1


#################################################################
##
## Plottekanaler - Oppdatert starticon_NorGer, startstate og startvar
##
#################################################################

#### HVDC ####
print " HVDC-data "
# NorGer - States
starticon_NorGer = 2367
startstate = 8311
psspy.state_channel([-1,startstate],r"""U_VDCL_R_NG""")
psspy.state_channel([-1,startstate+1],r"""U_VDCL_I_NG""")

# NorGer - Variables
startvar   = 4249
psspy.var_channel([-1,startvar],r"""DC_order_NG""")
psspy.var_channel([-1,startvar+1],r"""DELDCP_NG""")
psspy.var_channel([-1,startvar+2],r"""DELVDC_NG""")
psspy.var_channel([-1,startvar+3],r"""R_min_marg_angl_NG""")
psspy.var_channel([-1,startvar+4],r"""I_min_marg_angl_NG""")
psspy.var_channel([-1,startvar+5],r"""R_min_fire_angl_NG""")
psspy.var_channel([-1,startvar+6],r"""I_min_fire_angl_NG""")
psspy.var_channel([-1,startvar+7],r"""R_max_fire_angl_NG""")
psspy.var_channel([-1,startvar+8],r"""R_min_fire_angl_NG""")
psspy.var_channel([-1,startvar+9],r"""R_fire_angl_NG""")
psspy.var_channel([-1,startvar+10],r"""I_fire_angl_NG""")
psspy.var_channel([-1,startvar+11],r"""R_P_NG""")
psspy.var_channel([-1,startvar+12],r"""R_Q_NG""")
psspy.var_channel([-1,startvar+13],r"""I_P_NG""")
psspy.var_channel([-1,startvar+14],r"""I_Q_NG""")
psspy.var_channel([-1,startvar+15],r"""R_marg_angl_NG""")
psspy.var_channel([-1,startvar+16],r"""I_marg_angl_NG""")
psspy.var_channel([-1,startvar+17],r"""R_UDC(PU)_NG""")
psspy.var_channel([-1,startvar+18],r"""I_UDC(PU)_NG""")
psspy.var_channel([-1,startvar+19],r"""R_VDCL_CO(PU)_NG""")
psspy.var_channel([-1,startvar+20],r"""I_VDCL_CO(PU)_NG""")
psspy.var_channel([-1,startvar+21],r"""IDC(PU)_NG""")
psspy.var_channel([-1,startvar+30],r"""R_min_commut_volt(PU)_NG""")
psspy.var_channel([-1,startvar+31],r"""I_min_commut_volt(PU)_NG""")
psspy.var_channel([-1,startvar+32],r"""R_UAC(PU)_NG""")
psspy.var_channel([-1,startvar+33],r"""I_UAC(PU)_NG""")


# Skagerrak1+2 - States
startstate = 8268
psspy.state_channel([-1,startstate],r"""I_Measured_UDC_SK12""")
psspy.state_channel([-1,startstate+1],r"""I_Measured_IDC_SK12""")
psspy.state_channel([-1,startstate+2],r"""R_Measured_UDC_SK12""")

# Skagerrak1+2 - Variables
startvar   = 4028
psspy.var_channel([-1,startvar],r"""AUX_SIGN_MW_SK12""")
psspy.var_channel([-1,startvar+1],r"""RESTR_SK12""")
psspy.var_channel([-1,startvar+2],r"""V_RAMP_FACT_SK12""")
psspy.var_channel([-1,startvar+3],r"""C_RAMP_FACT_SK12""")
psspy.var_channel([-1,startvar+5],r"""PAC_R_SK12""")
psspy.var_channel([-1,startvar+6],r"""QAC_R_SK12""")
psspy.var_channel([-1,startvar+7],r"""PAC_I_SK12""")
psspy.var_channel([-1,startvar+8],r"""QAC_I_SK12""")
psspy.var_channel([-1,startvar+9],r"""VDC_I_SK12""")
psspy.var_channel([-1,startvar+10],r"""VDC_R_SK12""")
psspy.var_channel([-1,startvar+11],r"""IDC_SK12""")
psspy.var_channel([-1,startvar+12],r"""ALFA_SK12""")
psspy.var_channel([-1,startvar+13],r"""GAMMA_SK12""")


# Skagerrak4 - States
startstate = 8308
psspy.state_channel([-1,startstate],r"""I_Measured_UDC_SK4""")
psspy.state_channel([-1,startstate+1],r"""I_Measured_IDC_SK4""")
psspy.state_channel([-1,startstate+2],r"""R_Measured_UDC_SK4""")

# Skagerrak4 - Variables
startvar   = 4223
psspy.var_channel([-1,startvar],r"""AUX_SIGN_MW_SK4""")
psspy.var_channel([-1,startvar+1],r"""RESTR_SK4""")
psspy.var_channel([-1,startvar+2],r"""V_RAMP_FACT_SK4""")
psspy.var_channel([-1,startvar+3],r"""C_RAMP_FACT_SK4""")
psspy.var_channel([-1,startvar+5],r"""PAC_R_SK4""")
psspy.var_channel([-1,startvar+6],r"""QAC_R_SK4""")
psspy.var_channel([-1,startvar+7],r"""PAC_I_SK4""")	
psspy.var_channel([-1,startvar+8],r"""QAC_I_SK4""")
psspy.var_channel([-1,startvar+9],r"""VDC_I_SK4""")
psspy.var_channel([-1,startvar+10],r"""VDC_R_SK4""")
psspy.var_channel([-1,startvar+11],r"""IDC_SK4""")
psspy.var_channel([-1,startvar+12],r"""ALFA_SK4""")
psspy.var_channel([-1,startvar+13],r"""GAMMA_SK4""")


# NorNed - States
startstate = 8271
psspy.state_channel([-1,startstate],r"""I_Measured_UDC_NN""")
psspy.state_channel([-1,startstate+1],r"""I_Measured_IDC_NN""")
psspy.state_channel([-1,startstate+2],r"""R_Measured_UDC_NN""")

# NorNed - Variables
startvar   = 4046
psspy.var_channel([-1,startvar],r"""AUX_SIGN_MW_NN""")
psspy.var_channel([-1,startvar+1],r"""RESTR_NN""")
psspy.var_channel([-1,startvar+2],r"""V_RAMP_FACT_NN""")
psspy.var_channel([-1,startvar+3],r"""C_RAMP_FACT_NN""")
psspy.var_channel([-1,startvar+5],r"""PAC_R_NN""")
psspy.var_channel([-1,startvar+6],r"""QAC_R_NN""")
psspy.var_channel([-1,startvar+7],r"""PAC_I_NN""")
psspy.var_channel([-1,startvar+8],r"""QAC_I_NN""")
psspy.var_channel([-1,startvar+9],r"""VDC_I_NN""")
psspy.var_channel([-1,startvar+10],r"""VDC_R_NN""")
psspy.var_channel([-1,startvar+11],r"""IDC_NN""")
psspy.var_channel([-1,startvar+12],r"""ALFA_NN""")
psspy.var_channel([-1,startvar+13],r"""GAMMA_NN""")


# Skagerrak3 - States
startstate = 8274
psspy.state_channel([-1,startstate],r"""IDC_R_SK3""")
psspy.state_channel([-1,startstate+3],r"""IDC_I_SK3""")
psspy.state_channel([-1,startstate+6],r"""VC_SK3""")

# Skagerrak3 - Variables
startvar   = 4064
psspy.var_channel([-1,startvar],r"""P_R_SK3""")
psspy.var_channel([-1,startvar+1],r"""Q_R_SK3""")
psspy.var_channel([-1,startvar+2],r"""P_I_SK3""")
psspy.var_channel([-1,startvar+3],r"""Q_I_SK3""")
psspy.var_channel([-1,startvar+4],r"""UDC_R_SK3""")
psspy.var_channel([-1,startvar+5],r"""UDC_I_SK3""")
psspy.var_channel([-1,startvar+6],r"""OVERLAPP_I_SK3""")
psspy.var_channel([-1,startvar+7],r"""GAMMA_I_SK3""")
psspy.var_channel([-1,startvar+9],r"""PORDER_SK3""")
psspy.var_channel([-1,startvar+10],r"""IOO_SK3""")
psspy.var_channel([-1,startvar+14],r"""IOMAX_R_SK3""")
psspy.var_channel([-1,startvar+15],r"""IORDER_R_SK3""")
psspy.var_channel([-1,startvar+17],r"""IOMAX_R_SK3""")
psspy.var_channel([-1,startvar+18],r"""IORDER_R_SK3""")


psspy.bsys(1,0,[0.0,0.0],0,[],36,[1,2,3,9,10,18,104,204,201,50458,51231,51711,51752,54012,54016,54022,54032,54052,54082,54102,54142,54152,54162,55012,55021,55022,55032,55051,55061,54064,51756,54194,54329,55059,55164,55206],
0,[],0,[])
psspy.chsb(1,0,[-1,-1,-1,1,1,0])
psspy.chsb(1,0,[-1,-1,-1,1,2,0])
psspy.chsb(1,0,[-1,-1,-1,1,3,0])
psspy.chsb(1,0,[-1,-1,-1,1,4,0])
psspy.chsb(1,0,[-1,-1,-1,1,29,0])
psspy.chsb(1,0,[-1,-1,-1,1,30,0])
psspy.chsb(1,0,[-1,-1,-1,1,31,0])
psspy.chsb(1,0,[-1,-1,-1,1,32,0])
psspy.chsb(1,0,[-1,-1,-1,1,33,0])
psspy.chsb(1,0,[-1,-1,-1,1,34,0])
psspy.chsb(1,0,[-1,-1,-1,1,35,0])
psspy.chsb(1,0,[-1,-1,-1,1,36,0])
psspy.chsb(1,0,[-1,-1,-1,1,37,0])
psspy.chsb(1,0,[-1,-1,-1,1,12,0])
psspy.chsb(1,0,[-1,-1,-1,1,14,0])
psspy.chsb(1,0,[-1,-1,-1,1,16,0])

psspy.bsys(0,0,[ 0.69, 400.],6,[54,55,56,60,61,62],0,[],0,[],0,[])
psspy.chsb(0,0,[-1,-1,-1,1,1,0])

#################################################################
##
## Utfall, dynamisk 400 kV
##
#################################################################

if dyn == 1:
	psspy.cong(0)
	psspy.conl(0,1,1,[0,0],[ 40.0, 40.0, 40.0, 20.0])
	psspy.conl(0,1,2,[0,0],[ 40.0, 40.0, 40.0, 20.0])
	psspy.conl(0,1,3,[0,0],[ 40.0, 40.0, 40.0, 20.0])
	psspy.dynamics_solution_params([_i,_i,_i,_i,_i,_i,_i,_i],[_f,_f, 0.0025,_f,_f,_f,_f,_f],r"""test_u_tvp.out""")
	psspy.strt(1,r"""test_u_tvp.out""")
	
	## Lager utgangspunkt, kjorer 20 sekunder
	#	psspy.run(option, tpause, nprt, nplt, crtplt)
	nprt = 1
	nplt = 7
	tdyn1 = 20
	
	
	
	psspy.run(0, tdyn1, nprt, nplt, 1)
	psspy.snap([-1,-1,-1,-1,-1],r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.save(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	
	
if dynal == 1:
	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""1_Tonstad_Saurdal_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Tonstad - Saurdal  ######## "
	print " "
	ssk1 = 9							# Samleskinne fra
	ssk2 = 55021							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""1_Tonstad_Saurdal_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck


	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""2_Saurdal_Kvilldal_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Saurdal - Kvilldal  ######## "
	print " "
	ssk1 = 55021							# Samleskinne fra
	ssk2 = 55051							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""2_Saurdal_Kvilldal_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""3_Kvilldal_Rjukan_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Kvilldal - Rjukan  ######## "
	print " "
	ssk1 = 55051							# Samleskinne fra
	ssk2 = 51711							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""3_Kvilldal_Rjukan_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck

	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""4_Kvilldal_Holen_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Kvilldal - Holen  ######## "
	print " "
	ssk1 = 55051							# Samleskinne fra
	ssk2 = 55061							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""4_Kvilldal_Holen_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""5_Tonstad_Feda_Dobbelt_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Dobbeltutfall Tonstad - Feda  ######## "
	print " "
	ssk1 = 9							# Samleskinne fra
	ssk2 = 10							# Samleskinne til
	num_out = 2							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""5_Tonstad_Feda_Dobbelt_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""6_Feda_Kristiansand_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Feda - Kristiansand  ######## "
	print " "
	ssk1 = 10							# Samleskinne fra
	ssk2 = 1							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""6_Feda_Kristiansand_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""7_Kristiansand_Brokke_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Kristiansand - Brokke  ######## "
	print " "
	ssk1 = 1							# Samleskinne fra
	ssk2 = 2							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""7_Kristiansand_Brokke_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	
############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""8_Brokke_Holen_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Brokke - Holen  ######## "
	print " "
	ssk1 = 2							# Samleskinne fra
	ssk2 = 55061							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
	
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""8_Brokke_Holen_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck


############################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""9_Holen_Rod_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Holen - Rod  ######## "
	print " "
	ssk1 = 55061							# Samleskinne fra
	ssk2 = 51231							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""9_Holen_Rod_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	
	
################################################################# 300 kV #############################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""11_Transformator_Tonstad_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Transformator Tonstad  ######## "
	print " "
	ssk1 = 9							# Samleskinne fra
	ssk2 = 54102							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
	
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""11_Transformator_Tonstad_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 400.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 400.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck

	
######################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""12_Tonstad_Stokkeland_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Tonstad - Stokkeland ######## "
	print " "
	ssk1 = 54102							# Samleskinne fra
	ssk2 = 54082							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""12_Tonstad_Stokkeland_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 300.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 300.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck
	

	
######################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""13_Tonstad_Tjorholm_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Tonstad - Tjorholm ######## "
	print " "
	ssk1 = 54102							# Samleskinne fra
	ssk2 = 54152							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
	
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""13_Tonstad_Tjorholm_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 300.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 300.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck	
	

	
######################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""16_Lyse_Forre_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Lyse - Forre ######## "
	print " "
	ssk1 = 54162							# Samleskinne fra
	ssk2 = 55012							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""16_Lyse_Forre_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 300.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 300.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck	

	
######################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""18_Liastol_Saurdal_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Liastol - Saurdal ######## "
	print " "
	ssk1 = 55032							# Samleskinne fra
	ssk2 = 55022							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""18_Liastol_Saurdal_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 300.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 300.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck	

	
######################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""20_Lyse_Duge_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Lyse - Duge ######## "
	print " "
	ssk1 = 54162							# Samleskinne fra
	ssk2 = 54142							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
		
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""20_Lyse_Duge_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 300.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 300.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck	

	
######################################################################################################################################################

	## Ting som endres for hver simulering
	psspy.lines_per_page_one_device(1,60)
	psspy.progress_output(2,r"""26_Kristiansand_Arendal_u_tvp.txt""",[0,0])	# Utskrift til fil 
	print " "
	print " ########  Utfall Kristiansand - Arendal ######## "
	print " "
	ssk1 = 54022							# Samleskinne fra
	ssk2 = 54012							# Samleskinne til
	num_out = 1							# Antall utfall (2 tilsvarer dobbeltutfall
	
	tcheck = 1							# Kontroll startverdier 1 s.
	
	
	# Laster inn data og spesifiserer resultatfil
	psspy.case(r"""D:\home\kriststr\DYN_U_TVP\Norge_d08h_alt_u_tvp_conv.sav""")
	psspy.rstr(r"""D:\home\kriststr\DYN_U_TVP\norge_d08h_u_statnett_u_tvp.snp""")
	psspy.strt(0,r"""26_Kristiansand_Arendal_u_tvp.out""")
	
	
	## Kjorer utfall etter 1 sekund, feilklarering etter 1.1s og total simuleringstid 16 sekunder.
	psspy.run(0, tcheck, nprt, nplt, 1)						# Kjorer tilsvarende tcheck

	psspy.dist_branch_fault(ssk1,ssk2,r"""1""",1, 300.0,[0.0,-0.2E+10])		# Feil
	if num_out == 2:								# Dersom dobbeltutfall
		psspy.dist_branch_fault(ssk1,ssk2,r"""2""",1, 300.0,[0.0,-0.2E+10])	# Feil 2
	
	# Lokke for implementering av kontroll for NorGer
	bypass = 0
	timer_unbypass =0
	timer_bypass = 0
	
	
	for i in range(5999):
		if i == 40:								# 100 ms. etter feil
			psspy.dist_branch_trip(ssk1, ssk2, '1')				# Feil klareres
			if num_out == 2:						# Dersom dobbeltutfall
				psspy.dist_branch_trip(ssk1, ssk2, '2')			# Feil 2 klareres
				
		ierr,rval = psspy.busdat(201 ,'PU')					# Kontrollerer AC-spenning for kontroll NorGer
		
		if rval<0.6:								# Dersom spenning pa klemmene lavere enn 0.6 pu
			timer_bypass = timer_bypass + 0.0025				# Starter timer etter akseptabel spenning er oppnadd
			if timer_bypass >=0.05:						# Dersom spenning fremdeles lav etter 50 ms
				psspy.change_icon(starticon_NorGer+2, 1)		# Bypass vekselretter
				bypass = 1						# Timer Bypass
				print " AT T = ", tcheck
				print " NORGER BYPASSED, LOCAL VOLTAGE = ", rval

		if (rval>0.6 and timer_bypass >0):					# Dersom spenning er OK og timer bypass er pa
			timer_bypass =0							# Nullstiller timer bypass
		
		if (rval>0.65 and bypass==1):						# Dersom spenning > 0.65 pu og vekselretter i bypass
			timer_unbypass = timer_unbypass + 0.0025			# Starter timer etter akseptabel spenning er oppnadd 
			if timer_unbypass >=0.1:					# Dersom akseptabel spenning varer lenger enn 100 ms
				psspy.change_icon(starticon_NorGer+2, 0)		# Vekselretter kjorer i gang
				bypass = 0						# Timer Unbypass
				print " AT T = ", tcheck
				print " NORGER UNBYPASSED, LOCAL VOLTAGE = ", rval
				
		if (rval<0.65 and timer_unbypass >0):					# Dersom spenning er OK og timer unbypass er pa
			timer_unbypass =0						# Nullstiller timer unbypass
			
		tcheck = tcheck + 0.0025		
		psspy.run(0, tcheck,nprt, nplt, 1)					# Kjorer nye 50 ms
	tcheck = tcheck + 0.0025
	psspy.run(0, tcheck, nprt, nplt, 1)					# Kjorer 50 ms
	print " TCHECK = ", tcheck	